| Bsoft 2.0.5 Bernard's software package

Functions
rwmgSTAR.h File Reference

Header file for reading and writing micrograph parameters from and to the STAR format. More...

`#include "mg_processing.h"`
`#include "rwstar.h"`

Go to the source code of this file.

## Functions
int | read_project_star (Bstring &filename, Bproject *project)
| Reading micrograph parameters from STAR files. More...
int | write_project_star (const char *filename, Bproject *project, int mg_select, int rec_select)
| Writing micrograph parameters to a STAR file. More...
int | write_project_star (Bstring &filename, Bproject *project, int mg_select, int rec_select)
int | mg_star_update_tags (Bstar *star)
| Replacing old STAR tags with new ones. More...

## Detailed Description

Header file for reading and writing micrograph parameters from and to the STAR format.

Author
  Bernard Heymann

Date
  Created: 20000426
  Modified: 20071112

Definition in file rwmgSTAR.h.

## Function Documentation

## ◆ mg_star_update_tags()

int mg_star_update_tags | ( | Bstar * | star | ) |

Replacing old STAR tags with new ones.

Parameters

  *star | STAR database.

Returns
  int 0.

Definition at line 83 of file rwmgSTAR.cpp.

## ◆ read_project_star()

int read_project_star | ( | Bstring & | filename,
|  | Bproject * | project
| ) |  |

Reading micrograph parameters from STAR files.

Parameters

  &filename | file name (or comma-delimited list).
  *project | initialized project structure.

Returns
  int error code (<0 means failure).

Definition at line 29 of file rwmgSTAR.cpp.

## ◆ write_project_star() [1/2]

int write_project_star | ( | const char * | filename,
|  | Bproject * | project,
|  | int | mg_select,
|  | int | rec_select
| ) |  |

Writing micrograph parameters to a STAR file.

Parameters

  &filename | file name.
  *project | project structure.
  mg_select | flag to only write selected micrographs.
  rec_select | flag to only convert selected reconstructions.

Returns
  int error code (<0 means failure).

Definition at line 56 of file rwmgSTAR.cpp.

## ◆ write_project_star() [2/2]

int write_project_star | ( | Bstring & | filename,
|  | Bproject * | project,
|  | int | mg_select,
|  | int | rec_select
| ) |  |

Definition at line 62 of file rwmgSTAR.cpp.